/*
 * Copyright (C) 2003 Jean-Philippe Hergott <hergott@free.fr>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// ######################### prototypage
void
stocks2char (char *, char *, int *, int *);

void
stocks2char (char *, char *, int *, int *);

void
stocks2inte (char *, int *, int *, int *);

void
stocks2float (char *, float *, int *, int *);
	
void
char2stocks (char *, char *);

void 
inte2stocks (char *, int );

void 
float2stocks (char *, float );

int 
find_categ 	(char *,
		 char *);

void 
xcave_signal_connect ();

FILE *
StocksOpen (char *mode);

void 
StocksFseek(FILE *f);

void 
SaveStocks ();

void 
update_stock ();

void 
ReadStocks 	(FILE *f);

void 
ReadOldStocks 	(FILE *f);

void 
StocksFputs (char *enr_vin, 
             FILE *f);

void 
StocksFgets (FILE *f, 
	     char *enr_vin);

void
list_detail_print (gchar * ,gchar *);

int
list_detail_append (gchar * , GtkCList *);

void
on_quit_clicked                        (GtkButton       *button,
                                        gpointer         user_data);
void
on_xcave_realize                       (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_xcave_window_modif_clicked                       (void);

void
on_suppvin_clicked                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_about_clicked                       (GtkButton       *button,
                                        gpointer         user_data);

void
on_print_clicked                       (GtkButton       *button,
                                        gpointer         user_data);

void
on_oksupp_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_nosupp_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_Print_destroy                       (GtkObject       *object,
                                        gpointer         user_data);

void
on_PrintCancel_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_OkPrint_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_radiobutton_print_lpr_pressed                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_radiobutton_print_file_pressed                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_radiobutton_print_this_pressed                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_radiobutton_print_all_pressed                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_wineCountryEntry_changed                (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_som_clicked                         (GtkButton       *button,
                                        gpointer         user_data);

void
read_xcaverc 				();

void
write_xcaverc 				();

FILE *
open_xcaverc				(char *action);

void
on_config_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_ConfOk_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_ConfCancel_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_ConfSupp_destroy                    (GtkObject       *object,
                                        gpointer         user_data);

void
on_Sommelier_destroy                   (GtkObject       *object,
                                        gpointer         user_data);

void
on_Configuration_destroy               (GtkObject       *object,
                                        gpointer         user_data);

void
on_somOk_clicked                       (GtkButton       *button,
                                        gpointer         user_data);

void
on_vinan_changed                       (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_vinregentry_changed                 (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_vinapentry_changed                  (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_xcave_check_resize                  (GtkContainer    *container,
                                        gpointer         user_data);

void
on_PurchaseOk_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_DrinkingOk_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_TreeList_Purchase_double_click          (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_TreeList_Drinking_double_click          (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);
